SDL_GL_SwapWindow(3)

NAME
SDL_GL_SwapWindow - Update a window with OpenGL rendering.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GL_SwapWindow(SDL_Window *window);

DESCRIPTION
This is used with double-buffered OpenGL contexts, which are the default.

On macOS, make sure you bind 0 to the draw framebuffer before swapping the window, otherwise nothing will happen. If you aren't using glBindFramebuffer(), this is the default and you won't have to do anything extra.

FUNCTION PARAMETERS

window
    the window to change.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.